/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '~@plateg/theme/styles/plateg-variables.less';
.aufwand-table-wrapper {
  margin-bottom: 25px;
  .ant-table-content {
    overflow-x: auto;
    overflow-y: hidden;
  }
  .aufwand-table {
    .ant-table {
      font-size: @platform-table-font-size;
      line-height: @platform-table-line-height;
      border-collapse: collapse;
      thead {
        th,
        td {
          background-color: @platform-blue3;
          border: 1px solid @platform-blue4;
          border-bottom: 2px solid @platform-text-color;
          vertical-align: top;
          text-align: left;
          &.selected {
            background-color: #fff;
          }
          &.grouping {
            border-bottom: 1px solid @platform-blue4;
          }
          &.first-heading {
            background: @platform-blue4;
            vertical-align: bottom;
          }
          &:before {
            display: none;
          }
        }
      }
      tr {
        height: 1px;
        &:hover {
          td {
            background-color: @platform-blue3;
            &.selected {
              background-color: #fff;
            }
            &:first-child {
              background-color: @platform-blue4;
            }
          }
        }
      }
      tbody {
        td,
        th {
          background-color: @platform-blue3;
          padding: 24px 0 0;
          border: 1px solid @platform-blue4;
          border-width: 0 1px;
          height: inherit;
          vertical-align: top;
          font-weight: normal;
          &:first-child {
            background-color: @platform-blue4;
          }
          &.selected,
          &.selected:hover {
            background-color: @platform-blue3;
          }
          &.selected.ant-table-cell-row-hover {
            background-color: @platform-blue3;
          }
          .ant-form-item-control-input {
            min-height: auto;
            .ant-select-single {
              height: 32px !important;
            }
          }
          .ant-form-item-explain {
            display: none;
          }

          .ant-form-item {
            margin: 0;
            padding: 12px 16px;
            .ant-input,
            .ant-input-number-input {
              line-height: 24px;
              font-size: 1.6rem;
            }
            .ant-input-number-input {
              height: auto;
              padding: 3px 12px;
              &:hover,
              &:focus {
                border-color: @platform-blue2;
                box-shadow: inset 0px 0px 0px 1px @platform-blue2;
              }
            }
            .ant-input-number {
              border-color: @platform-blue2;
              &.ant-input-number-focused,
              &:hover,
              &:focus {
                box-shadow: none;
                border-color: @platform-blue2;
              }
            }
          }
          .text-cell,
          .hinweis-cell,
          .button-delete-cell {
            min-width: 240px;
            height: 100%;
            display: table;
            background-color: #fff;
            width: 100%;
            &.text,
            &.summe,
            &.static-text {
              padding: 16px 12px;
              background-color: #fff;
            }
            &.summe {
              font-weight: 500;
            }
            textarea {
              padding: 3px 12px;
              line-height: 24px;
              font-size: 1.6rem;
              min-height: auto;
            }
            &.static-text {
              text-align: right;
              min-width: auto;
            }
            .ant-select {
              line-height: 24px;
              font-size: 1.6rem;
              max-width: 220px;
              .ant-select-selector {
                height: 32px !important;
                font-size: 1.6rem;
                .ant-select-selection-item {
                  line-height: 32px !important;
                }
              }
            }
            .ant-tree-select {
              .ant-select-arrow {
                display: none;
              }
            }
            .zeitwerte {
              margin-top: 10px;
              display: flex;
              flex-direction: column;
              width: 250px;
              span {
                display: flex;
                flex-direction: row;
                justify-content: space-between;
              }
            }
          }
          .button-delete-cell {
            text-align: center;
            font-size: 2rem;
            padding: 12px 6px;
            min-width: auto;
            button {
              border: 0;
              padding: 0 5px;
            }
          }
          .cell-holder,
          .art-holder {
            text-align: right;
            height: 100%;
            background-color: #fff;
            display: flex;
            min-width: 122px;
            width: 100%;
            justify-content: flex-end;
            .ant-form-item {
              padding-right: 6px;
              .ant-input-number {
                width: auto;
              }
            }
            input {
              text-align: right;
            }
            .value {
              width: 100px;
              padding: 14px 6px 12px 12px;
            }
            .currency-label {
              padding: 14px 5px 12px 0px;
            }
            .ant-input-number-input {
              padding-left: 2px;
              padding-right: 2px;
            }
            .ant-input-number {
              max-width: 70px;
            }
          }
          .art-holder {
            text-align: left;
            justify-content: flex-start;
          }
          &.sachaufwand-jahrlich {
            .cell-holder {
              .ant-input-number {
                max-width: initial;
              }
            }
          }
        }
      }
      .summe-row {
        td,
        th {
          padding-top: 48px;
          font-weight: 500;
          padding-bottom: 48px;
        }
      }
      .custom-summe-row {
        td,
        th {
          &.selected {
            background-color: #bfcbf6 !important;
          }
          padding-bottom: 0;
          .hinweis-cell,
          .cell-holder,
          .text-cell {
            width: 100%;
            display: table;
            border-bottom: 0 !important;
            position: relative;
            &:before {
              content: '';
              height: 100%;
              background-color: #fff;
              width: 2px;
              position: absolute;
              left: -2px;
              top: 0;
            }
          }
        }
      }
      tr:last-child {
        td,
        th {
          padding-bottom: 48px;
        }
      }
    }
  }
  .buttons-holder {
    margin: 30px 0;
    display: flex;
    justify-content: flex-start;
    gap: 3em;
    align-items: center;
    button {
      margin-right: 30px;
    }
  }
}
.aufwand-table-dropdown {
  .ant-select-item-option-content {
    font-size: 1.6rem;
  }
}
.standardlohnsatz {
  min-width: 215px;
}
th.standardlohnsatz {
  border-bottom: 2px solid #000 !important;
}
